<div class="p-d-flex p-jc-center">
    <div class="p-mt-2" >
        <p-card header="Registrate en BookSale" [style]="{width: '360px'}" styleClass="p-card-shadow">
            <ng-template pTemplate="header">    
                <img alt="Card" src="assets/showcase/images/usercard.png">
            </ng-template>
            <form [formGroup]="myform" (ngSubmit)="singup" autocomplete="off">
                <div class="p-inputgroup p-mb-2">
                    <input type="text" pInputText placeholder="Nombre de Usuario" formControlName="username">
                    <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
                </div>
                <div class="p-inputgroup p-mb-2">
                    <input type="email" pInputText placeholder="Correo Electronico" formControlName="email">
                    <span class="p-inputgroup-addon"><i class="pi pi-briefcase"></i></span>
                </div>
                <div class="p-inputgroup">
                    <input type="password" pInputText placeholder="Contraseña" formControlName="password">
                    <span class="p-inputgroup-addon"><i class="pi pi-lock"></i></span>
                </div>
                <div class="p-d-flex p-jc-center p-mt-3">
                    <button *ngIf="!loading" [disabled]="myform.invalid" pButton type="submit" label="Registrate" icon="pi pi-user-plus" (click)="singup()"></button>
                    <button *ngIf="loading" [disabled]="true" pButton type="submit" label="Please wait" icon="pi pi-spin pi-spinner" (click)="singup()"></button>
                </div>
            </form>
            <p-divider align="center" type="dashed">
                <b>¿Ya tienes una cuenta?</b>
            </p-divider>    
            <ng-template pTemplate="footer">
                <div class="p-d-flex p-ai-center p-jc-center">
                    <p-button routerLink="/auth/login" label="Inicia Sesión" icon="pi pi-sign-in" styleClass="p-button-success"></p-button>
                </div>
            </ng-template>
        </p-card>
    </div>
</div>

<p-dialog header="Error en el login" [(visible)]="display" [dismissableMask]="true">
    <p>
        {{error}}
    </p>
    <ng-template pTemplate="footer">
        <p-button icon="pi pi-check" (click)="display=false" label="Ok" styleClass="p-button-text"></p-button>
    </ng-template>
</p-dialog>